org.apache.pdfbox.pdmodel.interactive.pagenavigation

## Enum PDTransitionDirection

- java.lang.Object
- - java.lang.Enum<PDTransitionDirection>
  - - org.apache.pdfbox.pdmodel.interactive.pagenavigation.PDTransitionDirection

All Implemented Interfaces:
  Serializable, Comparable<PDTransitionDirection>

    public enum PDTransitionDirection
    extends Enum<PDTransitionDirection>

The direction in which the specified transition effect shall moves, expressed in degrees counterclockwise starting from a left-to-right direction. Only for `PDTransitionStyle.Wipe`, `PDTransitionStyle.Glitter`, `PDTransitionStyle.Fly`, `PDTransitionStyle.Cover`, `PDTransitionStyle.Uncover` and `PDTransitionStyle.Push`.

Author:
  Andrea Vacondio

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BOTTOM_TO_TOP` Relevant only for the Wipe transition
`LEFT_TO_RIGHT`
`NONE` Relevant only for the Fly transition when the value of SS is not 1.0
`RIGHT_TO_LEFT` Relevant only for the Wipe transition
`TOP_LEFT_TO_BOTTOM_RIGHT` Relevant only for the Glitter transition
`TOP_TO_BOTTOM`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`COSBase` `getCOSBase()`
`static PDTransitionDirection` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDTransitionDirection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT_TO_RIGHT

    public static final PDTransitionDirection LEFT_TO_RIGHT

#### BOTTOM_TO_TOP

    public static final PDTransitionDirection BOTTOM_TO_TOP

Relevant only for the Wipe transition

#### RIGHT_TO_LEFT

    public static final PDTransitionDirection RIGHT_TO_LEFT

Relevant only for the Wipe transition

#### TOP_TO_BOTTOM

    public static final PDTransitionDirection TOP_TO_BOTTOM

#### TOP_LEFT_TO_BOTTOM_RIGHT

    public static final PDTransitionDirection TOP_LEFT_TO_BOTTOM_RIGHT

Relevant only for the Glitter transition

#### NONE

    public static final PDTransitionDirection NONE

Relevant only for the Fly transition when the value of SS is not 1.0

### Method Detail

#### values

    public static PDTransitionDirection[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDTransitionDirection c : PDTransitionDirection.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDTransitionDirection valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCOSBase

    public COSBase getCOSBase()

Returns:
  the value for this direction